# Class AbstractMobileController

Mobile application abstract controller.

This file includes `import`'s mobile components/directives used by the HTML page and the controller to provide the configuration.

#### Hierarchy

- unknown
  - AbstractMobileController

- Defined in src/controllers/AbstractMobileController.js:41

#####
Index

### Constructors

constructor

### Properties

displaywindowHeight
displaywindowWidth
leftNavVisible
manageResize
measureAreaActive
measureLengthActive
measurePointActive
redirectUrl
resizeTransition
rightNavVisible
searchOverlayVisible

### Methods

hideNav
navIsVisible
openNavMenu
toggleLeftNavVisibility
toggleRightNavVisibility

## Constructors

### constructor

- new AbstractMobileController($scope, $injector): AbstractMobileController

- #### Parameters

  - $scope: IScope

    Scope.

  - $injector: IInjectorService

    Main injector.

  #### Returns AbstractMobileController

  #### Ng Inject

  Overrides AbstractAppController.constructor

  - Defined in src/controllers/AbstractMobileController.js:47

## Properties

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractMobileController.js:89

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractMobileController.js:94

### leftNavVisible

leftNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:53
- Defined in src/controllers/AbstractMobileController.js:153
- Defined in src/controllers/AbstractMobileController.js:166

### manageResize

manageResize: boolean

- Defined in src/controllers/AbstractMobileController.js:121

### measureAreaActive

measureAreaActive: boolean

The active state of the directive responsible of area measurements.

- Defined in src/controllers/AbstractMobileController.js:70

### measureLengthActive

measureLengthActive: boolean

The active state of the directive responsible of length measurements.

- Defined in src/controllers/AbstractMobileController.js:84

### measurePointActive

measurePointActive: boolean

The active state of the directive responsible of point measurements.

- Defined in src/controllers/AbstractMobileController.js:77

### redirectUrl

redirectUrl: any

#### Constant

- Defined in src/controllers/AbstractMobileController.js:147

### resizeTransition

resizeTransition: number

- Defined in src/controllers/AbstractMobileController.js:122

### rightNavVisible

rightNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:58
- Defined in src/controllers/AbstractMobileController.js:129
- Defined in src/controllers/AbstractMobileController.js:138
- Defined in src/controllers/AbstractMobileController.js:159
- Defined in src/controllers/AbstractMobileController.js:167

### searchOverlayVisible

searchOverlayVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:63
- Defined in src/controllers/AbstractMobileController.js:114
- Defined in src/controllers/AbstractMobileController.js:117

## Methods

### hideNav

- hideNav(): void

- Hide both navigation menus.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:165

### navIsVisible

- navIsVisible(): boolean

- #### Returns boolean

  Return true if one of the navigation menus is visible, otherwise false.

  - Defined in src/controllers/AbstractMobileController.js:174

### openNavMenu

- openNavMenu(target): void

- Open the menu with corresponding to the data-target attribute value.

  #### Parameters

  - target: string

    the data-target value.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:183

### toggleLeftNavVisibility

- toggleLeftNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:152

### toggleRightNavVisibility

- toggleRightNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:158

Generated using TypeDoc